<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.dzfp.mapper.EiSpbmMapper">
    <!--list查询-->
    <select id="selectListMap" resultType="java.util.Map">
        select * from EI_SPBM where 1=1
        <!--模糊查询 -->
        <if test="searchText!=null">
            AND (code like '%${searchText}%'
            OR name like '%${searchText}%'
            OR jc like '%${searchText}%'
            )
        </if>
    </select>

    <select id="selectMaxId" resultType="int">
        select max(code) from EI_SPBM where 1=1
    </select>
    <resultMap id="EiSpbmMap" type="com.tofly.feesapi.dzfp.entity.EiSpbm">
        <id property="code" column="CODE"/>
        <result property="name" column="NAME"/>
        <result property="jc" column="JC"/>
        <result property="sszlbm" column="SSZLBM"/>
        <result property="sszlmc" column="SSZLMC"/>
        <result property="sl" column="SL"/>
        <result property="dw" column="DW"/>
        <result property="yxbz" column="YXBZ"/>
        <result property="czry" column="CZRY"/>
        <result property="czsj" column="CZSJ"/>
        <result property="djHsbs" column="DJ_HSBS"/>
        <result property="yhZcbs" column="YH_ZCBS"/>
        <result property="yhZcmc" column="YH_ZCMC"/>
        <result property="lslBs" column="LSL_BS"/>
    </resultMap>
</mapper>
